<packet name="Research">
	<version number="1">
		<u32 name="unknown1">
		<u32 name="unknown2">
		<u32 name="spell_id">
		<u32 name="completion_time">
		<u32 name="current_time">
		<u32 name="unknown3">
		<u32 name="unknown4">
		<u32 name="unknown5">
		<u32 name="unknown6">
		<u32 name="unknown7">
		<u32 name="unknown8">
		<u32 name="unknown9">
		<u32 name="unknown10">
		<u32 name="unknown11">
		<u32 name="unknown12">
		<u32 name="unknown13">
		<u32 name="unknown14">
		<u8 name="unknown15">
	</version>
	<version number="57048">
		<u32 name="unknown1">
		<u32 name="unknown2">
		<u32 name="spell_id">
		<u32 name="completion_time">
		<u32 name="current_time">
		<u32 name="unknown3">
		<u32 name="unknown4">
		<u32 name="unknown5">
		<u32 name="unknown6">
		<u32 name="unknown7">
		<u32 name="unknown8">
		<u32 name="unknown9">
		<u32 name="unknown10">
		<u32 name="unknown11">
		<u32 name="unknown12">
		<u32 name="unknown13">
		<u32 name="unknown14">
		<u8 name="unknown15">
	</version>
</packet>